Skip to main content
GET
/
address
/
{address}
/
esdts-with-role
/
{role}
Get ESDTs with role
curl --request GET \
  --url https://api.example.com/address/{address}/esdts-with-role/{role}
const options = {method: 'GET'};

fetch('https://api.example.com/address/{address}/esdts-with-role/{role}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests

url = "https://api.example.com/address/{address}/esdts-with-role/{role}"

response = requests.get(url)

print(response.text)
false
{}

Path Parameters

address
string
required

Bech32 address

role
string
required

ESDT role (e.g. ESDTRoleNFTCreate)

Query Parameters

onFinalBlock
boolean

Query on the latest final block

onStartOfEpoch
integer

Query on start of the given epoch

blockNonce
integer

Query on a specific block nonce

blockHash
string

Query on a specific block hash

blockRootHash
string

Query on a specific block root hash

hintEpoch
integer

Hint epoch for historical queries

withKeys
boolean

Include storage keys

forced-shard-id
integer

Force routing to a specific shard

Response

Successful response

The response is of type object.